<?php
//  ------------------------------------------------------------------------ //
//                   This module; Copyright (c) 2005 gusagi                  //
//                        <http://good-tea.ddo.jp/trpg>                      //
//  ------------------------------------------------------------------------ //

//*****************************************************************************/
// 初期処理
//*****************************************************************************/
require_once( dirname(dirname(__FILE__)) .'/init.php' );
require_once( XOOPS_ROOT_PATH .'/include/cp_header.php' );
require_once( XOOPS_ROOT_PATH .'/class/template.php' );
include_once( XOOPS_ROOT_PATH .'/modules/system/constants.php' ) ;
require_once( $mod_path .'/include/gtickets.php' );
require_once( $mod_path .'/include/adminbuf.inc.php' );

// check access right (needs system_admin of BLOCK)
$sysperm_handler =& xoops_gethandler('groupperm');
if (!$sysperm_handler->checkRight('system_admin', XOOPS_SYSTEM_BLOCK, $xoopsUser->getGroups())) redirect_header( XOOPS_URL.'/user.php' , 1 , _NOPERM ) ;

// カレントURLの取得
$current_url = $mod_url .'/admin/' .basename( __FILE__ );

// テンプレートの宣言
$awsslTpl =& new XoopsTpl;
$awsslTpl->error_reporting = error_reporting();
$awsslTpl->template_dir = $mod_path.'/admin/templates/';

//*****************************************************************************/
// READMEの読み込み
//*****************************************************************************/
$readme = '';
$readme_file = $mod_path .'/readme_' .strtolower(_LANGCODE) .'.txt';
if ( file_exists($readme_file) ) {
	// MyTextSanitizerインスタンスの生成
	$myts =& MyTextSanitizer::getInstance();
	// READMEの読み込み・サニタイズ
	$readme = htmlspecialchars( implode('', file($readme_file)), ENT_QUOTES );
	// BBcodeの変換
	$readme = $myts->xoopsCodeDecode( $myts->smiley($readme) );
	// 改行コードをbrタグに置換
	$readme = nl2br( $readme );
	// "\t"を"&nbsp;"4つに置換
	$readme = str_replace( "\t", "&nbsp;&nbsp;&nbsp;&nbsp;", $readme );
}


//*****************************************************************************/
// 画面表示
//*****************************************************************************/
// 管理画面用ヘッダの呼び出し
xoops_cp_header();
// 管理画面上部メニューの呼び出し
if( file_exists( './mymenu.php' ) ) include( './mymenu.php' );
// 更新を行うアクションのアサイン
$action = '';
$awsslTpl->assign( 'action', $action );
// ワンタイムチケットのアサイン
$ticket = $xoopsGTicket->getTicketHtml( __LINE__ , 1800 , 'anywheressl' );
$awsslTpl->assign( 'ticket', $ticket );
// READMEのアサイン
$awsslTpl->assign( 'readme', $readme );
// テンプレートの表示
$awsslTpl->display( 'anywheressl_index.html' );

//*****************************************************************************/
// 終了処理
//*****************************************************************************/ 
// 管理画面用フッタの呼び出し
xoops_cp_footer();

?>
